AntiFeatures: []
ArchivePolicy: null
AuthorEmail: null
AuthorName: null
AuthorWebSite: null
AutoName: AdAway
AutoUpdateMode: Version v%v
Binaries: null
Bitcoin: null
Categories:
- System
- Security
Changelog: ''
CurrentVersion: '3.0'
CurrentVersionCode: '52'
Description: 'An ad blocker that uses the hosts file. The hosts file

  contains a list of mappings between hostnames and IP addresses. When

  an app requests an ad, that request is directed to 127.0.0.1 which does

  nothing. There are options to run a web server

  to respond to blocked hostnames and to direct requests to the IP

  address of your choosing. You can download hosts files from the

  app but it is possible to use your own and to add certain sites

  to the white- and black-lists.


  [https://github.com/dschuermann/ad-away/raw/HEAD/CHANGELOG Changelog]


  Requires root: Yes. The hosts files is located in /system which is normally

  read-only.'
Disabled: null
Donate: http://sufficientlysecure.org/index.php/adaway
FlattrID: '369138'
IssueTracker: https://github.com/dschuermann/ad-away/issues
License: GPLv3
Litecoin: null
MaintainerNotes: ''
Name: null
NoSourceSince: ''
Provides: org.sufficientlysecure.adaway
Repo: https://github.com/dschuermann/ad-away.git
RepoType: git
RequiresRoot: true
SourceCode: https://github.com/dschuermann/ad-away
Summary: Block advertisements
UpdateCheckData: null
UpdateCheckIgnore: null
UpdateCheckMode: Tags
UpdateCheckName: null
VercodeOperation: null
WebSite: http://sufficientlysecure.org/index.php/adaway
added: null
builds:
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: ea5378a94ee0dc1d99d2cec95fae7e6d81afb2b9
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '13'
  versionName: '1.12'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: 4128e59da2eac5c2904c7c7568d298ca51e79540
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch:
  - defprop.patch
  preassemble: []
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '16'
  versionName: '1.15'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: 0b9985398b9eef7baf6aadd0dbb12002bc199d2e
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch:
  - defprop.patch
  preassemble: []
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '19'
  versionName: '1.18'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: ab27f4dab5f3ea5e228cfb4a6b0e1fbf53695f22
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch:
  - defprop.patch
  preassemble: []
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '20'
  versionName: '1.19'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: 695e3801e4081026c8f7213a2345fc451d5eb89c
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch:
  - defprop.patch
  preassemble: []
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '21'
  versionName: '1.20'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: 65138c11cc8b6affd28b68e125fbc1dff0886a4e
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch:
  - defprop.patch
  preassemble: []
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '22'
  versionName: '1.21'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni: []
  commit: unknown - see disabled
  disable: no source in repo
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: null
  submodules: false
  target: null
  versionCode: '24'
  versionName: '1.23'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: f811e53e1e1d2ee047b18715fd7d2072b90ae76b
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: android update project -p ../com_actionbarsherlock
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '25'
  versionName: '1.24'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: ff97932761cdee68638dc2550751a64b2cbe18e7
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: android update project -p ../com_actionbarsherlock
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '26'
  versionName: '1.25'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: 33d4d80998f30bafc88c04c80cbae00b03916f99
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: android update project -p ../com_actionbarsherlock
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '27'
  versionName: '1.26'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: 743d25a7e287505461f33f4b8e57e4cf988fffea
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: android update project -p ../com_actionbarsherlock
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '28'
  versionName: '1.27'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: eaa07f4
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: android update project -p ../com_actionbarsherlock && rm -rf libs/armeabi/*
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '30'
  versionName: '1.29'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni: []
  commit: 71ced3f
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: android update project -p ../com_actionbarsherlock && rm -rf libs/armeabi/*
    && rm libs/android-support-v4.jar
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '33'
  versionName: '1.32'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni: []
  commit: 9d63c18
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: android update project -p ../com_actionbarsherlock && rm -rf libs/armeabi/*
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '34'
  versionName: '1.33'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni: []
  commit: f2568b1
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: android update project -p ../com_actionbarsherlock && rm -rf libs/armeabi/*
    && android update project -p ../org_donations
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '35'
  versionName: '1.34'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni: []
  commit: 7442d5d
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: android update project -p ../com_actionbarsherlock && rm -rf libs/armeabi/*
    && android update project -p ../org_donations
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '36'
  versionName: '1.35'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni: []
  commit: 83fc713
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: android update project -p ../com_actionbarsherlock && rm -rf libs/armeabi/*
    && android update project -p ../org_donations
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '37'
  versionName: '1.36'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni: []
  commit: 70da32b567122b701cdcb1609b780eb85732028f
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: android update project -p ../com_actionbarsherlock && rm -rf libs/armeabi/*
    && android update project -p ../org_donations
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: org_adaway/
  submodules: false
  target: null
  versionCode: '38'
  versionName: '1.37'
- androidupdate:
  - .
  - android-libs/Donations
  - android-libs/ActionBarSherlock
  - android-libs/HtmlSpanner/htmlspanner
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: v2.1
  disable: false
  encoding: null
  extlibs:
  - htmlcleaner/htmlcleaner-2.2.jar
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: rm android-libs/Donations/custom_rules.xml && git clone https://github.com/dschuermann/HtmlSpanner
    android-libs/HtmlSpanner
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: rm -rf ../update_zip libs/root-commands-1.2.jar libs/htmlspanner-0.2-fork.jar
    && cp -f libs/htmlcleaner-2.2.jar android-libs/HtmlSpanner/htmlspanner/libs/ &&
    echo "android.library.reference.3=$$RootCommands$$" >> project.properties && echo
    "android.library.reference.4=android-libs/HtmlSpanner/htmlspanner" >> project.properties
    && find . -type f -print0 | xargs -0 sed -i 's/org.rootcommands/org.sufficientlysecure.rootcommands/g'
    && cp android-libs/Donations/ant-templates/other/DonationsConfig.java android-libs/Donations/src/org/donations/
  rm: []
  scandelete: []
  scanignore: []
  srclibs:
  - RootCommands@c940b0e503
  subdir: AdAway
  submodules: false
  target: null
  versionCode: '40'
  versionName: '2.1'
- androidupdate:
  - .
  - android-libs/Donations
  - android-libs/ActionBarSherlock
  - android-libs/HtmlSpanner/htmlspanner
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: v2.3
  disable: false
  encoding: null
  extlibs:
  - htmlcleaner/htmlcleaner-2.2.jar
  forcevercode: false
  forceversion: false
  gradle: []
  gradleprops: []
  init: rm android-libs/Donations/custom_rules.xml && git clone https://github.com/dschuermann/HtmlSpanner
    android-libs/HtmlSpanner
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble: []
  prebuild: rm -rf ../update_zip libs/root-commands-1.2.jar libs/htmlspanner-0.2-fork.jar
    && cp -f libs/htmlcleaner-2.2.jar android-libs/HtmlSpanner/htmlspanner/libs/ &&
    echo "android.library.reference.3=$$RootCommands$$" >> project.properties && echo
    "android.library.reference.4=android-libs/HtmlSpanner/htmlspanner" >> project.properties
    && find . -type f -print0 | xargs -0 sed -i 's/org.rootcommands/org.sufficientlysecure.rootcommands/g'
    && cp android-libs/Donations/ant-templates/other/DonationsConfig.java android-libs/Donations/src/org/donations/
  rm: []
  scandelete: []
  scanignore: []
  srclibs:
  - RootCommands@c940b0e503
  subdir: AdAway
  submodules: false
  target: null
  versionCode: '42'
  versionName: '2.3'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: v2.6
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle:
  - 'yes'
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble:
  - renameExecutables
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: AdAway
  submodules: false
  target: null
  versionCode: '45'
  versionName: '2.6'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: v2.7
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle:
  - 'yes'
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble:
  - renameExecutables
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: AdAway
  submodules: false
  target: null
  versionCode: '46'
  versionName: '2.7'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: v2.8
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle:
  - 'yes'
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble:
  - renameExecutables
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: AdAway
  submodules: false
  target: null
  versionCode: '47'
  versionName: '2.8'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: v2.8.1
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle:
  - 'yes'
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble:
  - renameExecutables
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: AdAway
  submodules: false
  target: null
  versionCode: '48'
  versionName: 2.8.1
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: v2.9
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle:
  - 'yes'
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble:
  - renameExecutables
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: AdAway
  submodules: false
  target: null
  versionCode: '49'
  versionName: '2.9'
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: v2.9.1
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle:
  - 'yes'
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble:
  - renameExecutables
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: AdAway
  submodules: false
  target: null
  versionCode: '50'
  versionName: 2.9.1
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: v2.9.2
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle:
  - 'yes'
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble:
  - renameExecutables
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: AdAway
  submodules: false
  target: null
  versionCode: '51'
  versionName: 2.9.2
- androidupdate: []
  antcommands: []
  build: ''
  buildjni:
  - 'yes'
  commit: v3.0
  disable: false
  encoding: null
  extlibs: []
  forcevercode: false
  forceversion: false
  gradle:
  - 'yes'
  gradleprops: []
  init: ''
  kivy: false
  maven: false
  ndk: null
  novcheck: false
  oldsdkloc: false
  output: null
  patch: []
  preassemble:
  - renameExecutables
  prebuild: ''
  rm: []
  scandelete: []
  scanignore: []
  srclibs: []
  subdir: AdAway
  submodules: false
  target: null
  versionCode: '52'
  versionName: '3.0'
comments:
  build:40:
  - '#RootCommands srclib needs changing on fdroidserver'
  build:42:
  - '#RootCommands srclib needs changing on fdroidserver'
id: org.adaway
lastUpdated: null
metadatapath: metadata/org.adaway.json
